
package jp.riken.brain.ni.samuraigraph.base;

import java.awt.Color;

/**
 * 
 *
 */
public interface SGIClientPanel
{

	public float getPaperWidth( final String unit );
	
	public float getPaperHeight( final String unit );
	
	public float getGridLineInterval( final String unit );
	
	public float getGridLineWidth( final String unit );
	
	public boolean isGridLineVisible();

	public Color getPaperColor();

	public Color getGridLineColor();

	public float getImageLocationX( final String unit );

	public float getImageLocationY( final String unit );

	public float getImageWidth( final String unit );

	public float getImageHeight( final String unit );
	
	public float getImageScalingFactor();


	public boolean setPaperWidth( final float value, final String unit );
	
	public boolean setPaperHeight( final float value, final String unit );
	
	public boolean setGridLineInterval( final float value, final String unit );

	public boolean setGridLineWidth( final float value, final String unit );
	
	public boolean setGridLineVisible( final boolean b );

	public boolean setPaperColor( final Color cl );
	
	public boolean setGridLineColor( final Color cl );

	public boolean setImageLocationX( final float value, final String unit );

	public boolean setImageLocationY( final float value, final String unit );

	public boolean setImageWidth( final float value, final String unit );

	public boolean setImageHeight( final float value, final String unit );

	public boolean setImageScalingFactor( final float value );


}

